<?php
/**
 * Check the client can access the api or not.
 * 
 * @access public
 * @return void
 *
 */
public function checkAPI()
{
    $key = ''; 
    if($this->post->key) $key = $this->post->key;
    if($this->get->key)  $key = $this->get->key;
    if($key != $this->config->zhanqun->api->key) die('KEY ERROR!');
    $nodeIP = gethostbyname($this->config->zhanqun->api->node->domain);
    if(strpos('127.0.0.1,10.0.0.2', $nodeIP) === false && $nodeIP != $this->server->remote_addr) die('IP DENIED');
}

/**
 * Expend the method of isOpenMethod.
 * 
 * @param  string    $module 
 * @param  string    $method 
 * @access public
 * @return bool
 */
public function isOpenMethod($module, $method)
{
    if($module == 'site' and $method == 'sync')                    return true;
    if($module == 'site' and $method == 'syncsitecodes')           return true;
    if($module == 'site' and $method == 'upgrade')                 return true;
    if($module == 'site' and $method == 'setservice')              return true;
    if($module == 'site' and $method == 'gettrafficandusage')      return true;
    if($module == 'node' and $method == 'sites')                   return true;
    if($module == 'node' and $method == 'getarticlelistforreview') return true;
    if($module == 'node' and $method == 'upgrade')                 return true;
    if($module == 'user' and $method == 'apilogin')                return true;
    if($module == 'user' and $method == 'agreement')               return true;
    if($module == 'user' and $method == 'resetadmin')              return true;
    if($module == 'install' and $method == 'openinstance')         return true;
    if($module == 'install' and $method == 'changeinstance')       return true;
    if($module == 'install' and $method == 'deleteinstance')       return true;
    if($module == 'install' and $method == 'changestatus')         return true;
    if($module == 'install' and $method == 'syncusers')            return true;
    if($module == 'install' and $method == 'syncplan')             return true;
    if($module == 'install' and $method == 'updateapikey')         return true;
    if($module == 'sso' and $method == 'closerequest')             return true;
    if($module == 'sso' and $method == 'requestassignto')          return true;
    if($module == 'sso' and $method == 'replyrequest')             return true;
    if($module == 'sso' and $method == 'getfeedbackview')          return true;
    if($module == 'sso' and $method == 'getfeedbacks')             return true;
    if($module == 'sso' and $method == 'getorders')                return true;
    if($module == 'sso' and $method == 'setconfig')                return true;

    return parent::isOpenMethod($module, $method);
}

/**
 * Check the priviledge.
 * 
 * @access public
 * @return void
 */
public function checkPriv()
{
    if($this->config->site->filterFunction == 'open')
    {
        if($this->server->request_method == 'post') $inBlackList = $this->loadModel('guarder')->logOperation('ip', 'post');
        $inList = $this->loadModel('guarder')->inList();
        if($inList) die('Request Forbidden');
    }

    if(RUN_MODE == 'admin' and !empty($this->config->group->unUpdatedAccounts) and strpos($this->config->group->unUpdatedAccounts, $this->app->user->account) !== false)
    {
        $user = $this->app->user;
        $user->rights = $this->loadModel('user')->authorize($user);
        $this->session->set('user', $user);
        $this->app->user = $this->session->user;

        $unUpdatedAccounts = str_replace($this->app->user->account, '', $this->config->group->unUpdatedAccounts);
        if(str_replace(',', '', $unUpdatedAccounts) == '') $unUpdatedAccounts = '';
        $this->loadModel('setting')->setItem("system.group.unUpdatedAccounts", $unUpdatedAccounts);
    }

    $module = $this->app->getModuleName();
    $method = $this->app->getMethodName();

    if($this->isOpenMethod($module, $method)) return true;

    /* If no $app->user yet, go to the login page. */
    if(RUN_MODE == 'admin' and $this->app->user->account == 'guest')
    {
        $referer = helper::safe64Encode($this->app->getURI(true));
        die(js::locate(helper::createLink('user', 'login', "referer=$referer")));
    }

    /* if remote ip not equal loginIP, go to login page. */
    if(RUN_MODE == 'admin')
    {
        if(zget($this->config->site, 'checkSessionIP', '0') and (helper::getRemoteIP() != $this->app->user->loginIP))
        {
            session_destroy();
            $referer = helper::safe64Encode($this->app->getURI(true));
            die(js::locate(helper::createLink('user', 'login', "referer=$referer")));
        }
    }

    /* go to login page, if the setting of front page is need login. */
    if(RUN_MODE == 'front')
    {
        $frontConfig = isset($this->config->site->front) ? $this->config->site->front : 'guest';
        if($frontConfig == 'login' and $this->app->user->account == 'guest')
        {
            $referer = helper::safe64Encode($this->app->getURI(true));
            die(js::locate(helper::createLink('user', 'login', "referer=$referer")));
        }
    }

    /* Check the priviledge. */
    if(!commonModel::hasPriv($module, $method)) $this->deny($module, $method);
    if(!isset($this->config->rights->guest[strtolower($module)][strtolower($method)]) and !helper::isAjaxRequest() and RUN_MODE == 'front' and $this->app->user->account != 'guest' and strtolower($method) != 'checkemail')
    {
        if(isset($this->config->site->checkEmail) and $this->config->site->checkEmail == 'open' and !$this->app->user->emailCertified)
        {
            exit(js::locate(helper::createLink('user', 'checkEmail')));
        }
    }

    if(RUN_MODE != 'admin') return true;

    /* Check the agreement. */
    if(isset($this->config->global->agreed) and $this->config->global->agreed) return true;

    if($module == 'admin' and $method == 'index') return true;
    $this->config->requestType = 'GET';
    die(js::locate(helper::createLink('admin', 'index')));
}
